Skip to content

Get one EarlyBoundCRS

Request

Get one EarlyBoundCRS given its essence

Security
bearer
Query
modestring

The mode of return: 'persistable_reference' (default) string or 'essence' structure or 'persistable_reference_essence' i.e. the combination of other 2 options.

Default:"persistable_reference"
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/json

A unique description of a early-bound coordinate reference system (EarlyBoundCRS), either as persistable reference string or essence JSON.

persistableReferencestring

The persistable reference string, either the essence of the EarlyBoundCRS serialized into a JSON string or an encoded string (version 1).

Example:"{\"lateBoundCRS\":{\"wkt\":\"PROJCS[\\\"ED_1950_UTM_Zone_31N\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"Internat

Early-bound coordinate reference system, i.e. a CRS with a transformation binding to WGS 84

Example:
{ "authCode": { "auth": "OSDU", "code": "23031024" }, "lateBoundCRS": { "authCode": { … }, "name": "ED_1950_UTM_Zone_31N", "type": "LBC", "ver": "PE_10_3_1", "wkt": "PROJCS[\"ED_1950_UTM_Zone_31N\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",3.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",23031]]" }, "name": "ED50 * EPSG-Nor S62 2001 / UTM zone 31N [23031,1613]", "singleCT": { "authCode": { … }, "name": "ED_1950_To_WGS_1984_24", "type": "ST", "ver": "PE_10_3_1", "wkt": "GEOGTRAN[\"ED_1950_To_WGS_1984_24\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"Position_Vector\"],PARAMETER[\"X_Axis_Translation\",-90.365],PARAMETER[\"Y_Axis_Translation\",-101.13],PARAMETER[\"Z_Axis_Translation\",-123.384],PARAMETER[\"X_Axis_Rotation\",0.333],PARAMETER[\"Y_Axis_Rotation\",0.077],PARAMETER[\"Z_Axis_Rotation\",0.894],PARAMETER[\"Scale_Difference\",1.994],AUTHORITY[\"EPSG\",1613]]" }, "type": "EBC", "ver": "PE_10_3_1" }
curl -i -X POST \
  'https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/earlyboundcrs?mode=persistable_reference' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "persistableReference": "{\"lateBoundCRS\":{\"wkt\":\"PROJCS[\\\"ED_1950_UTM_Zone_31N\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\",6378388.0,297.0]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],PROJECTION[\\\"Transverse_Mercator\\\"],PARAMETER[\\\"False_Easting\\\",500000.0],PARAMETER[\\\"False_Northing\\\",0.0],PARAMETER[\\\"Central_Meridian\\\",3.0],PARAMETER[\\\"Scale_Factor\\\",0.9996],PARAMETER[\\\"Latitude_Of_Origin\\\",0.0],UNIT[\\\"Meter\\\",1.0],AUTHORITY[\\\"EPSG\\\",23031]]\",\"ver\":\"PE_10_3_1\",\"name\":\"ED_1950_UTM_Zone_31N\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"23031\"},\"type\":\"LBC\"},\"singleCT\":{\"wkt\":\"GEOGTRAN[\\\"ED_1950_To_WGS_1984_24\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\",6378388.0,297.0]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],METHOD[\\\"Position_Vector\\\"],PARAMETER[\\\"X_Axis_Translation\\\",-90.365],PARAMETER[\\\"Y_Axis_Translation\\\",-101.13],PARAMETER[\\\"Z_Axis_Translation\\\",-123.384],PARAMETER[\\\"X_Axis_Rotation\\\",0.333],PARAMETER[\\\"Y_Axis_Rotation\\\",0.077],PARAMETER[\\\"Z_Axis_Rotation\\\",0.894],PARAMETER[\\\"Scale_Difference\\\",1.994],AUTHORITY[\\\"EPSG\\\",1613]]\",\"ver\":\"PE_10_3_1\",\"name\":\"ED_1950_To_WGS_1984_24\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"1613\"},\"type\":\"ST\"},\"ver\":\"PE_10_3_1\",\"name\":\"ED50 * EPSG-Nor S62 2001 / UTM zone 31N [23031,1613]\",\"authCode\":{\"auth\":\"OSDU\",\"code\":\"23031024\"},\"type\":\"EBC\"}",
    "essence": {
      "authCode": {
        "auth": "OSDU",
        "code": "23031024"
      },
      "lateBoundCRS": {
        "authCode": {
          "auth": "EPSG",
          "code": "23031"
        },
        "name": "ED_1950_UTM_Zone_31N",
        "type": "LBC",
        "ver": "PE_10_3_1",
        "wkt": "PROJCS[\"ED_1950_UTM_Zone_31N\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",3.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",23031]]"
      },
      "name": "ED50 * EPSG-Nor S62 2001 / UTM zone 31N [23031,1613]",
      "singleCT": {
        "authCode": {
          "auth": "EPSG",
          "code": "1613"
        },
        "name": "ED_1950_To_WGS_1984_24",
        "type": "ST",
        "ver": "PE_10_3_1",
        "wkt": "GEOGTRAN[\"ED_1950_To_WGS_1984_24\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"Position_Vector\"],PARAMETER[\"X_Axis_Translation\",-90.365],PARAMETER[\"Y_Axis_Translation\",-101.13],PARAMETER[\"Z_Axis_Translation\",-123.384],PARAMETER[\"X_Axis_Rotation\",0.333],PARAMETER[\"Y_Axis_Rotation\",0.077],PARAMETER[\"Z_Axis_Rotation\",0.894],PARAMETER[\"Scale_Difference\",1.994],AUTHORITY[\"EPSG\",1613]]"
      },
      "type": "EBC",
      "ver": "PE_10_3_1"
    }
  }'

Responses

A successful response

Bodyapplication/json
crstypestring(CRS-Type)

The type of the EarlyBoundCRS.

sourcestring(Source)

The source of the EarlyBoundCRS.

transformationReadyboolean(Transformation Ready)

The TransformationReadyness of the EarlyBoundCRS.

baseCRSAuthorityCodeobject(Authority Code)

The AuthorityCode for this item.

aliasNamesArray of strings(Alias Names)

Alias names for this EarlyBoundCRS.

axisUnitsArray of strings(Axis Units)

Axis Unit Essences.

numberOfAxesinteger(Number of Axes)

The NumberOfAxes of the EarlyBoundCRS.

descriptionstring(Description)

The description of the EarlyBoundCRS.

lastModifiedstring(LastModified)

The LastModified of the EarlyBoundCRS.

areaOfUseobject(AreaOfUse)

The AreaOfUse class.

deprecationInfoobject(CRS Deprecation Info)

Deprecation information for a coordinate reference system.

namedReferenceobject(NamedReference)

Name and Persistable Reference (the essence converted to a JSON string).

Early-bound coordinate reference system, i.e. a CRS with a transformation binding to WGS 84

Response
{ "crstype": "string", "source": "string", "transformationReady": true, "baseCRSAuthorityCode": { "auth": "EPSG", "code": "4326" }, "aliasNames": [ "string" ], "axisUnits": [ "string" ], "numberOfAxes": 0, "description": "string", "lastModified": "string", "areaOfUse": { "id": "string", "name": "string", "description": "string", "lastModified": "string", "namedReference": { … }, "essence": { … } }, "deprecationInfo": { "deprecationState": "string", "remarks": "string", "supersededByCRS": { … } }, "namedReference": { "name": "string", "persistableReference": "string" }, "essence": { "type": "EBC", "name": "ED50 * EPSG-Nor N62 2001 / UTM zone 31N [23031,1612]", "ver": "PE_10_3_1", "lateBoundCRS": { … }, "singleCT": { … }, "compoundCT": { … }, "authCode": { … } } }